chat = {
    "TITLE1": "About Me",
    "TITLE2": "AI Chat",
    "menu_v": {
   "container": {"background-color": "#a7c5ff"},
   "icon": {"color": "white", "font-size": "25px"}, 
   "nav-link": {"font-size": "25px", "text-align": "center", "color": "white", "margin":"0px", "--hover-color": "#1b97ff"},
   "nav-link-selected": {"background-color": "#1b97ff"}
    },
    "menu_h": {
        "container": {"padding": "0px",
                      "display": "grid",
                      "margin": "0!important",
                      "background-color": "#212121"
                      },
        "icon": {"color": "#bd93f9", "font-size": "14px"},
        "nav-link": {
            "font-size": "14px",
            "text-align": "center",
            "margin": "auto",
            "background-color": "#262626",
            "height": "30px",
            "width": "13rem",
            "color": "#edff85",
            "border-radius": "5px"
        },
        "nav-link-selected": {
            "background-color": "#212121",
            "font-weight": "300",
            "color": "#f7f8f2",
            "border": "1px solid #e55381"
        }
    }
}

info = {
   "Pronoun": "his",
   "Subject": "he",
   "Name": "Fedi",
   "Full_Name": "Fedi Hamdi",
   "Email": "fedihamdi@yahoo.com",
   "Resume": 'images/resume.pdf',
   "Intro": "An MLOps Engineer, and Data Scientist.",
   "About": "Fedi is a dedicated professional with three years of experience in the fields of Data Engineering, MLOps, and Data Science. His passion for technology, coupled with his proficiency in a wide range of tools and technologies, reflects his commitment to driving innovation and delivering impactful solutions. Fedi's expertise spans from energy production optimization to strategic healthcare data management and emotional analysis in recruitment.",
   "Project":"fedihamdi.netlify.app",
   "Achievements": [
      "Improved energy production by 5% within a year at Engie through anomaly detection and predictive maintenance models.",
      "Led the development of strategic projects related to the FDA at IPSEN Pharma, resulting in a 20% reduction in production costs.",
      "Conducted a Proof of Concept for decision support based on emotion analysis during interviews at JustAI."
   ],
   "Strengths": [
      "Proficient in Python, Spark, R, Docker, and cloud platforms.",
      "Experienced in end-to-end project management.",
      "Strong analytical and problem-solving skills with a focus on data quality and optimization.",
      "Fluent in English, Japanese, and German."
   ],
   "Weaknesses": "Fedi's strong drive for achieving results occasionally led him to prioritize outcomes over nurturing a growth mindset. However, he recognized the importance of learning from each experience and preventing the same failures in the future. He also believes that fostering a growth mindset can contribute to a more open-minded and collaborative teamwork environment.",
   "Latest_Project": "Fedi recently contributed to the development of 'BreatheEasy,' an application aimed at preventing environmentally related diseases. The project identifies high-risk areas for optimal health and showcases Fedi's coding skills.",
   "Salary_Expectation": "Fedi is seeking a competitive salary that reflects his skills, experience, and contributions.",
   "Availability": "Fedi will be available for new opportunities.",
   "Contact": {
      "LinkedIn": "linkedin.com/in/fedi-hamdi",
      "Phone": "0622039329",
      "Portfolio": "fedihamdi.netlify.app",
      "Email": "fedihamdi@yahoo.com",
      "GitHub": "github.com/FediHamdi"
   },
   "Skills": {
      "Coding": ["Python", "Spark", "R", "Flask", "Django", "SQL", "Docker"],
      "Cloud_Platforms": ["Azure", "AWS"],
      "CI/CD": ["Jenkins", "GitHub Actions"],
      "Data_Management": ["PostgreSQL", "NoSQL", "KQL", "Databricks"],
      "Visualization": ["Tableau", "PowerBI", "Grafana"],
      "Machine_Learning": ["PySpark", "MLflow", "MLOps", "API"],
      "Project_Management": ["Time management", "Budget management"]
   },
   "Education": [
      {"Degree": "Master's in Big Data & Artificial Intelligence", "School": "HETIC, Paris", "Period": "November 2021 - December 2023"},
      {"Degree": "Bachelor's in Statistics and Information Analysis (Actuarial Option)", "School": "ESSAI", "Period": "September 2016 - December 2020"}
   ],
   "Work_Experience": [
      {"Position": "ML Engineer / Data Scientist", "Company": "Engie, La Défense", "Period": "December 2022 – December 2023", "Tech_Stack": ["Python", "Spark", "R", "Git", "CI/CD", "Splunk", "Jenkins", "Airflow", "MLflow", "Pytest", "Docker", "Kubernetes", "ttest", "SonarQube", "AureML", "Azure Storage", "Databricks", "Artifactory", "Grafana", "ADX", "DVC"]},
      {"Position": "Data Engineer", "Company": "IPSEN Pharma, Boulogne-Billancourt", "Period": "June 2022 - December 2022", "Tech_Stack": ["R", "Python", "Rstudio", "AWS", "EC2", "ECR", "S3", "Conda", "Shell", "Git", "Docker"]},
      {"Position": "MLOps Engineer", "Company": "JustAI, Montreuil", "Period": "January 2022 - June 2022", "Tech_Stack": ["PyTorch", "Torchvision", "OpenCV", "Pandas", "Numpy", "CLIP-OpenAI", "DeepLabV3+", "VGG16", "KNN", "Gradio", "HuggingFace"]},
      {"Position": "Data Scientist", "Company": "Business and Decision", "Period": "January 2020 - December 2020", "Tech_Stack": ["Python", "Statsmodels", "Tensorflow: CNN, LSTM, Embeddings", "Scikit-Learn: RF, LR, SVM, SMOTE", "Pandas", "NLTK"]}
   ],
   "Certificates": [
    "Data Engineer Associate - DataCamp (ID: DEA0015319729751) - Nov. 2023 to Nov. 2025",
    "MLOps Fundamentals - DataCamp - Nov. 2023 to Dec. 2025",
    "Spark Fundamentals I & II - Cognitive Class (ID: dc46a33b395145b0b4b281ab182756e7) - Nov. 2023",
    "Introduction to TensorFlow for Artificial Intelligence, Machine Learning, and Deep Learning - Coursera (ID: E6FR5G7TRD6E) - May 2020",
    "Credit Risk Modeling in Python - 365 Data Science - Apr. 2020",
    "Structuring Machine Learning Projects - Coursera (ID: TPALL5JJM9RZ) - Apr. 2020",
    "Neural Networks and Deep Learning - Coursera (ID: DETZTLPZWNY6) - Mar. 2020",
    "AI For Everyone - Coursera (ID: C4F6VTCX894K) - Feb. 2020",
    "Python 101 for Data Science - Cognitive Class (ID: 5d87ca1daa1d4aee89cda1f2d267b142) - Feb. 2020",
    "Fundamentals of deep learning for computer vision - NVIDIA (ID: 41c0b004de934eb0b1271cf481ba795a) - Dec. 2019",
    "Certificat SPSS - Académie Tunisienne pour la Formation et les Etudes - Nov. 2016",
    "Certification de participation : Formation de logiciel SAS - datametrix AG"
    ],
   "Reference": "References are available upon request."
}

projects = [
        # {
        #     "title": "Unlocking Multilingual Magic: Babel Fish with LLM STT TTS",
        #     "description": "Text-to-Speech, Speech-To-Text, LLM, watsonx",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/babel.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+GPXX0PPIEN+v1"
        # },
        # {
        #     "title": "Summarize Your Private Data with LLMs & Generative AI",
        #     "description": "LLM, watsonx, watsonx.ai",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/summary.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+GPXX0DTPEN+v1"
        # },
        # {
        #     "title": "Improve Customer Support Efficiency with Open-Source LLM",
        #     "description": "Generative AI",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/CS.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+GPXX0FUSEN+v1"
        # },
        # {
        #     "title": "A Quick Introduction to Machine Learning",
        #     "description": "Machine Learning",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/ML.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+ML0104EN+v1"
        # },
        # {
        #     "title": "Reinforcement Learning and Deep Learning Essentials",
        #     "description": "Reinforcement Learning, Keras, PyTorch",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/RL.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+ML0105EN+v1"
        # },
        # {
        #     "title": "Automate ML Pipelines Using Apache Airflow",
        #     "description": "Machine Learning Pipeline",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/airflow.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBM+GPXX0DNQEN+v1"
        # },
        # {
        #     "title": "Create Your Own ChatGPT-like Website with Open Source LLMs",
        #     "description": "LLM, Chatbot, Generative AI",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/chatgpt.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+GPXX04ESEN+v1"
        # },
        # {
        #     "title": "A Quick Introduction to Machine Learning",
        #     "description": "Machine Learning",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/ML.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+ML0104EN+v1"
        # },
        # {
        #     "title": "Build an AI Web App for Diamond Price Prediction",
        #     "description": "Machine Learning, Data Science",
        #     "image_url": "https://sn-assets.s3.us.cloud-object-storage.appdomain.cloud/projects/diamond.png",
        #     "link": "https://cognitiveclass.ai/courses/course-v1:IBMSkillsNetwork+GPXX0FTNEN+v1"
        # }
    ]

endorsements = {
    "img1": "",
    "img2": "",
    "img3": ""
}


